# Interface methods for submodule: LabelVotingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LabelVotingImageFilter
class LabelVotingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLabelForUndecidedPixels(self, l: int) -> None:
		""""""
		...

	def GetLabelForUndecidedPixels(self) -> int:
		""""""
		...

	def UnsetLabelForUndecidedPixels(self) -> None:
		""""""
		...

